SDL_Joystick Struct Reference

`#include <SDL_sysjoystick.h>`

Collaboration diagram for SDL_Joystick:
[legend]

## Data Structures

struct | balldelta

## Data Fields

SDL_JoystickID | instance_id
char * | name
int | naxes
Sint16 * | axes
int | nhats
Uint8 * | hats
int | nballs
struct _SDL_Joystick::balldelta * | balls
int | nbuttons
Uint8 * | buttons
struct joystick_hwdata * | hwdata
int | ref_count
SDL_bool | force_recentering
SDL_JoystickPowerLevel | epowerlevel
struct _SDL_Joystick * | next

## Detailed Description

Definition at line 32 of file SDL_sysjoystick.h.

## Field Documentation

Sint16* SDL_Joystick::axes

Definition at line 38 of file SDL_sysjoystick.h.

struct _SDL_Joystick::balldelta * SDL_Joystick::balls

Uint8* SDL_Joystick::buttons

Definition at line 50 of file SDL_sysjoystick.h.

SDL_JoystickPowerLevel SDL_Joystick::epowerlevel

Definition at line 57 of file SDL_sysjoystick.h.

SDL_bool SDL_Joystick::force_recentering

Definition at line 56 of file SDL_sysjoystick.h.

Uint8* SDL_Joystick::hats

Definition at line 41 of file SDL_sysjoystick.h.

struct joystick_hwdata* SDL_Joystick::hwdata

Definition at line 52 of file SDL_sysjoystick.h.

SDL_JoystickID SDL_Joystick::instance_id

Definition at line 34 of file SDL_sysjoystick.h.

char* SDL_Joystick::name

Definition at line 35 of file SDL_sysjoystick.h.

int SDL_Joystick::naxes

Definition at line 37 of file SDL_sysjoystick.h.

int SDL_Joystick::nballs

Definition at line 43 of file SDL_sysjoystick.h.

int SDL_Joystick::nbuttons

Definition at line 49 of file SDL_sysjoystick.h.

struct _SDL_Joystick* SDL_Joystick::next

Definition at line 58 of file SDL_sysjoystick.h.

int SDL_Joystick::nhats

Definition at line 40 of file SDL_sysjoystick.h.

int SDL_Joystick::ref_count

Definition at line 54 of file SDL_sysjoystick.h.

The documentation for this struct was generated from the following file:

- src/joystick/SDL_sysjoystick.h